apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: frontend
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-staging
    ingress.kubernetes.io/force-ssl-redirect: "true"
    kubernetes.io/ingress.class: contour
    kubernetes.io/tls-acme: "true"
spec:
  tls:
    - secretName: frontendproxy
      hosts:
        - www.flaviogranato.com.br
  rules:
    - host: www.flaviogranato.com.br
      http:
        paths:
          - backend:
              serviceName: frontend
              servicePort: 80
